
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Vinay K Nallamothu <nvk@gsecone.com>

drivers/mtd/devices/doc2000.c:567: warning: assignment from incompatible pointer type
drivers/mtd/devices/doc2000.c:568: warning: assignment from incompatible pointer type


---

 drivers/mtd/devices/doc2000.c |    8 ++++----
 drivers/mtd/devices/doc2001.c |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/mtd/devices/doc2000.c~doc2000-warning-fixes drivers/mtd/devices/doc2000.c
--- 25/drivers/mtd/devices/doc2000.c~doc2000-warning-fixes	2004-02-26 03:06:30.000000000 -0800
+++ 25-akpm/drivers/mtd/devices/doc2000.c	2004-02-26 03:06:30.000000000 -0800
@@ -53,9 +53,9 @@ static int doc_read(struct mtd_info *mtd
 static int doc_write(struct mtd_info *mtd, loff_t to, size_t len,
 		     size_t *retlen, const u_char *buf);
 static int doc_read_ecc(struct mtd_info *mtd, loff_t from, size_t len,
-			size_t *retlen, u_char *buf, u_char *eccbuf, int oobsel);
+			size_t *retlen, u_char *buf, u_char *eccbuf, struct nand_oobinfo *oobsel);
 static int doc_write_ecc(struct mtd_info *mtd, loff_t to, size_t len,
-			 size_t *retlen, const u_char *buf, u_char *eccbuf, int oobsel);
+			 size_t *retlen, const u_char *buf, u_char *eccbuf, struct nand_oobinfo *oobsel);
 static int doc_read_oob(struct mtd_info *mtd, loff_t ofs, size_t len,
 			size_t *retlen, u_char *buf);
 static int doc_write_oob(struct mtd_info *mtd, loff_t ofs, size_t len,
@@ -601,7 +601,7 @@ static int doc_read(struct mtd_info *mtd
 }
 
 static int doc_read_ecc(struct mtd_info *mtd, loff_t from, size_t len,
-			size_t * retlen, u_char * buf, u_char * eccbuf, int oobsel)
+			size_t * retlen, u_char * buf, u_char * eccbuf, struct nand_oobinfo *oobsel)
 {
 	struct DiskOnChip *this = (struct DiskOnChip *) mtd->priv;
 	unsigned long docptr;
@@ -750,7 +750,7 @@ static int doc_write(struct mtd_info *mt
 
 static int doc_write_ecc(struct mtd_info *mtd, loff_t to, size_t len,
 			 size_t * retlen, const u_char * buf,
-			 u_char * eccbuf, int oobsel)
+			 u_char * eccbuf, struct nand_oobinfo *oobsel)
 {
 	struct DiskOnChip *this = (struct DiskOnChip *) mtd->priv;
 	int di; /* Yes, DI is a hangover from when I was disassembling the binary driver */
diff -puN drivers/mtd/devices/doc2001.c~doc2000-warning-fixes drivers/mtd/devices/doc2001.c
--- 25/drivers/mtd/devices/doc2001.c~doc2000-warning-fixes	2004-02-26 03:06:30.000000000 -0800
+++ 25-akpm/drivers/mtd/devices/doc2001.c	2004-02-26 03:06:30.000000000 -0800
@@ -37,9 +37,9 @@ static int doc_read(struct mtd_info *mtd
 static int doc_write(struct mtd_info *mtd, loff_t to, size_t len,
 		     size_t *retlen, const u_char *buf);
 static int doc_read_ecc(struct mtd_info *mtd, loff_t from, size_t len,
-			size_t *retlen, u_char *buf, u_char *eccbuf, int oobsel);
+			size_t *retlen, u_char *buf, u_char *eccbuf, struct nand_oobinfo *oobsel);
 static int doc_write_ecc(struct mtd_info *mtd, loff_t to, size_t len,
-			 size_t *retlen, const u_char *buf, u_char *eccbuf, int oobsel);
+			 size_t *retlen, const u_char *buf, u_char *eccbuf, struct nand_oobinfo *oobsel);
 static int doc_read_oob(struct mtd_info *mtd, loff_t ofs, size_t len,
 			size_t *retlen, u_char *buf);
 static int doc_write_oob(struct mtd_info *mtd, loff_t ofs, size_t len,
@@ -407,7 +407,7 @@ static int doc_read (struct mtd_info *mt
 }
 
 static int doc_read_ecc (struct mtd_info *mtd, loff_t from, size_t len,
-			 size_t *retlen, u_char *buf, u_char *eccbuf, int oobsel)
+			 size_t *retlen, u_char *buf, u_char *eccbuf, struct nand_oobinfo *oobsel)
 {
 	int i, ret;
 	volatile char dummy;
@@ -533,7 +533,7 @@ static int doc_write (struct mtd_info *m
 }
 
 static int doc_write_ecc (struct mtd_info *mtd, loff_t to, size_t len,
-			  size_t *retlen, const u_char *buf, u_char *eccbuf, int oobsel)
+			  size_t *retlen, const u_char *buf, u_char *eccbuf, struct nand_oobinfo *oobsel)
 {
 	int i,ret = 0;
 	volatile char dummy;

_
